From 1e03341f1c37dba9fbdf1a83e43d6beab3ce8b9f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Mar 2025 13:03:27 +0000
Subject: [PATCH] libxkbcommon: upgrade 1.8.0 -> 1.8.1

---
 ...bcommon_1.8.0.bb => libxkbcommon_1.8.1.bb} | 281 +++++++++++++++++-
 1 file changed, 279 insertions(+), 2 deletions(-)
 rename meta/recipes-graphics/xorg-lib/{libxkbcommon_1.8.0.bb => libxkbcommon_1.8.1.bb} (11%)

diff --git a/meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.0.bb b/meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.1.bb
similarity index 11%
rename from meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.0.bb
rename to meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.1.bb
index a7dad3f4a2..dfb06baf38 100644
--- a/meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.0.bb
+++ b/meta/recipes-graphics/xorg-lib/libxkbcommon_1.8.1.bb
@@ -1,15 +1,292 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -1,30 +1,38 @@
+#  The following is a list of all copyright notices and license statements which
+# -appear in the xkbcommon source tree.
+# -
+# -If making new contributions, the first form (i.e. Daniel Stone, Ran Benita,
+# -etc) is vastly preferred.
+# +appear in the xkbcommon source tree, along with the SPDX short license
+# +identifiers which source files use to refer to them. To see which parts are
+# +covered by which license and copyright, refer to the source files.
+# +
+# +If making new contributions, the MIT License is vastly preferred.
+#  
+#  All licenses are derivative of the MIT/X11 license, mostly identical other
+#  than no-endorsement clauses (e.g. paragraph 4 of The Open Group's license).
+#  
+#  These statements are split into two sections: one for the code compiled and
+# -distributed as part of the libxkbcommon shared library and the code
+# -component of all tests (i.e. everything under src/ and xkbcommon/, plus the
+# -.c and .h files under test/), and another for the test data under test/data,
+# -which is distributed with the xkbcommon source tarball, but not installed to
+# -the system.
+# -
+# +distributed as part of the libxkbcommon shared library and the code component
+# +of all tests, and another only for the test data under test/data, which is
+# +distributed with the xkbcommon source code, but not installed to the system.
+#  
+#  BEGINNING OF SOFTWARE COPYRIGHT/LICENSE STATEMENTS:
+#  
+#  
+#  -------------------------------------------------------------------------------
+# -
+# -Copyright © 2009-2012, 2016 Daniel Stone
+# -Copyright © 2012 Ran Benita <ran234@gmail.com>
+# -Copyright © 2010, 2012 Intel Corporation
+# -Copyright © 2008, 2009 Dan Nicholson
+# +SPDX full name: MIT License
+# +SPDX short identifier: MIT
+# +License text:
+# +
+# +Copyright © 2008-2009 Dan Nicholson <dbn.lists@gmail.com>
+# +Copyright © 2009-2012, 2016 Daniel Stone <daniel@fooishbar.org>
+# +Copyright © 2012-2014, 2020-2022, 2025 Ran Benita <ran@unusedvar.com>
+# +Copyright © 2010-2012, 2016 Intel Corporation
+# +Copyright © 2013-2015, 2018-2020 Red Hat, Inc.
+# +Copyright © 2023-2024 Pierre Le Marre <dev@wismill.eu>
+# +Copyright (c) 1991, Oracle and/or its affiliates.
+# +Copyright © 2008-2011 Kristian Høgsberg
+#  Copyright © 2010 Francisco Jerez <currojerez@riseup.net>
+# +Copyright © 2012 Collabora, Ltd.
+# +Copyright © 2015 Kazunobu Kuriyama <kazunobu.kuriyama@nifty.com>
+# +Copyright (C) 2011 Joseph Adams <joeyadams3.14159@gmail.com>
+#  
+#  Permission is hereby granted, free of charge, to any person obtaining a
+#  copy of this software and associated documentation files (the "Software"),
+# @@ -47,7 +55,9 @@
+#  
+#  
+#  -------------------------------------------------------------------------------
+# -
+# +SPDX full name: MIT Open Group variant
+# +SPDX short identifier: MIT-open-group
+# +License text:
+#  
+#  Copyright 1985, 1987, 1988, 1990, 1998  The Open Group
+#  
+# @@ -75,7 +85,9 @@
+#  
+#  
+#  -------------------------------------------------------------------------------
+# -
+# +SPDX full name: Historical Permission Notice and Disclaimer
+# +SPDX short identifier: HPND
+# +License text:
+#  
+#  Copyright (c) 1993, 1994, 1995, 1996 by Silicon Graphics Computer Systems, Inc.
+#  
+# @@ -100,9 +112,40 @@
+#  OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION  WITH
+#  THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#  
+# -
+# --------------------------------------------------------------------------------
+# -
+# +-------------------------------------------------------------------------------
+# +SPDX full name: Historical Permission Notice and Disclaimer - sell variant
+# +SPDX short identifier: HPND-sell-variant
+# +License text:
+# +
+# +Copyright 1992 by Oki Technosystems Laboratory, Inc.
+# +Copyright 1992 by Fuji Xerox Co., Ltd.
+# +
+# +Permission to use, copy, modify, distribute, and sell this software
+# +and its documentation for any purpose is hereby granted without fee,
+# +provided that the above copyright notice appear in all copies and
+# +that both that copyright notice and this permission notice appear
+# +in supporting documentation, and that the name of Oki Technosystems
+# +Laboratory and Fuji Xerox not be used in advertising or publicity
+# +pertaining to distribution of the software without specific, written
+# +prior permission.
+# +Oki Technosystems Laboratory and Fuji Xerox make no representations
+# +about the suitability of this software for any purpose. It is provided
+# +"as is" without express or implied warranty.
+# +
+# +OKI TECHNOSYSTEMS LABORATORY AND FUJI XEROX DISCLAIM ALL WARRANTIES
+# +WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
+# +MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL OKI TECHNOSYSTEMS
+# +LABORATORY AND FUJI XEROX BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+# +CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+# +OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
+# +OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
+# +OR PERFORMANCE OF THIS SOFTWARE.
+# +
+# +
+# +-------------------------------------------------------------------------------
+# +SPDX full name: <none>
+# +SPDX short identifier: LicenseRef-digital-equipment-corporation
+# +License text:
+#  
+#  Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts.
+#  
+# @@ -128,40 +171,18 @@
+#  -------------------------------------------------------------------------------
+#  
+#  
+# -Copyright (C) 2011 Joseph Adams <joeyadams3.14159@gmail.com>
+# -
+# -Permission is hereby granted, free of charge, to any person obtaining a copy
+# -of this software and associated documentation files (the "Software"), to deal
+# -in the Software without restriction, including without limitation the rights
+# -to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# -copies of the Software, and to permit persons to whom the Software is
+# -furnished to do so, subject to the following conditions:
+# -
+# -The above copyright notice and this permission notice shall be included in
+# -all copies or substantial portions of the Software.
+# -
+# -THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# -FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# -AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# -LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# -OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# -THE SOFTWARE.
+# -
+# -
+# --------------------------------------------------------------------------------
+# -
+# -
+#  
+#  END OF SOFTWARE COPYRIGHT/LICENSE STATEMENTS
+#  
+#  
+# -BEGINNING OF LICENSE STATEMENTS FOR UNDISTRIBUTED DATA FILES IN test/data,
+# -derived from xkeyboard-config:
+# -
+# -
+# -
+# --------------------------------------------------------------------------------
+# +BEGINNING OF LICENSE STATEMENTS ONLY FOR UNDISTRIBUTED DATA FILES IN test/data,
+# +derived from xkeyboard-config and libX11 nls/ directory:
+# +
+# +
+# +
+# +-------------------------------------------------------------------------------
+# +SPDX full name: Historical Permission Notice and Disclaimer - sell variant
+# +SPDX short identifier: HPND-sell-variant
+#  
+#  Copyright 1996 by Joseph Moss
+#  Copyright (C) 2002-2007 Free Software Foundation, Inc.
+# @@ -189,27 +210,70 @@
+#  
+#  
+#  -------------------------------------------------------------------------------
+# -
+# -              Copyright 1992 by Oki Technosystems Laboratory, Inc.
+# -              Copyright 1992 by Fuji Xerox Co., Ltd.
+# -
+# -Permission to use, copy, modify, distribute, and sell this software
+# -and its documentation for any purpose is hereby granted without fee,
+# -provided that the above copyright notice appear in all copies and
+# -that both that copyright notice and this permission notice appear
+# -in supporting documentation, and that the name of Oki Technosystems
+# -Laboratory and Fuji Xerox not be used in advertising or publicity
+# -pertaining to distribution of the software without specific, written
+# -prior permission.
+# -Oki Technosystems Laboratory and Fuji Xerox make no representations
+# -about the suitability of this software for any purpose.  It is provided
+# -"as is" without express or implied warranty.
+# -
+# -OKI TECHNOSYSTEMS LABORATORY AND FUJI XEROX DISCLAIM ALL WARRANTIES
+# -WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
+# -MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL OKI TECHNOSYSTEMS
+# -LABORATORY AND FUJI XEROX BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+# -CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+# -OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
+# -OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
+# -OR PERFORMANCE OF THIS SOFTWARE.
+# +SPDX full name: MIT License
+# +SPDX short identifier: MIT
+# +
+# +Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
+# +
+# +
+# +-------------------------------------------------------------------------------
+# +SPDX full name: X11 License
+# +SPDX short identifier: X11
+# +License text:
+# +
+# +Copyright (c) 1996  X Consortium
+# +
+# +Permission is hereby granted, free of charge, to any person obtaining
+# +a copy of this software and associated documentation files (the
+# +"Software"), to deal in the Software without restriction, including
+# +without limitation the rights to use, copy, modify, merge, publish,
+# +distribute, sublicense, and/or sell copies of the Software, and to
+# +permit persons to whom the Software is furnished to do so, subject to
+# +the following conditions:
+# +
+# +The above copyright notice and this permission notice shall be
+# +included in all copies or substantial portions of the Software.
+# +
+# +THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# +EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# +MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+# +IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
+# +OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
+# +ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+# +OTHER DEALINGS IN THE SOFTWARE.
+# +
+# +Except as contained in this notice, the name of the X Consortium shall
+# +not be used in advertising or otherwise to promote the sale, use or
+# +other dealings in this Software without prior written authorization
+# +from the X Consortium.
+# +
+# +
+# +
+# +-------------------------------------------------------------------------------
+# +SPDX full name: MIT Open Group variant
+# +SPDX short identifier: MIT-open-group
+# +
+# +Copyright (C) 2004, 2006 Ævar Arnfjörð Bjarmason <avarab@gmail.com>
+# +
+# +
+# +-------------------------------------------------------------------------------
+# +SPDX full name: <none>
+# +SPDX short identifier: MIT-open-group
+# +SPDX short identifier: LicenseRef-anton-zinoviev
+# +License text:
+# +
+# +Copyright (C) 1999, 2000 by Anton Zinoviev <anton@lml.bas.bg>
+# +
+# +This software may be used, modified, copied, distributed, and sold,
+# +in both source and binary form provided that the above copyright
+# +and these terms are retained. Under no circumstances is the author
+# +responsible for the proper functioning of this software, nor does
+# +the author assume any responsibility for damages incurred with its
+# +use.
+# +
+# +Permission is granted to anyone to use, distribute and modify
+# +this file in any way, provided that the above copyright notice
+# +is left intact and the author of the modification summarizes
+# +the changes in this header.
+# +
+# +This file is distributed without any expressed or implied warranty.
+# 
+#
+
 SUMMARY = "Generic XKB keymap library"
 DESCRIPTION = "libxkbcommon is a keymap compiler and support library which \
 processes a reduced subset of keymaps as defined by the XKB specification."
 HOMEPAGE = "http://www.xkbcommon.org"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=e525ed9809e1f8a07cf4bce8b09e8b87"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=70eff33050c59f900f5b83275dcf1211"
 LICENSE = "MIT & MIT"
 
 DEPENDS = "flex-native bison-native"
 
 SRC_URI = "git://github.com/xkbcommon/libxkbcommon;protocol=https;branch=master"
 
-SRCREV = "76740e0c4583ae49675e7ba8213d31ee09aa00d2"
+SRCREV = "b3465081878e80ca6c11fe35c81787ec374ec15a"
 S = "${WORKDIR}/git"
 
 inherit meson pkgconfig bash-completion
-- 
2.44.1

